com.avaya.deskphoneservices.telecomService

## Class TelecomConnectionService

- java.lang.Object
- - android.content.Context
  - - android.content.ContextWrapper
    - - android.app.Service
      - - android.telecom.ConnectionService
        - - com.avaya.deskphoneservices.telecomService.TelecomConnectionService

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2

      public class TelecomConnectionService
      extends android.telecom.ConnectionService

- - ### Field Summary

    - ### Fields inherited from class android.telecom.ConnectionService

      `SERVICE_INTERFACE`

    - ### Fields inherited from class android.app.Service

      `START_CONTINUATION_MASK, START_FLAG_REDELIVERY, START_FLAG_RETRY, START_NOT_STICKY, START_REDELIVER_INTENT, START_STICKY, START_STICKY_COMPATIBILITY, STOP_FOREGROUND_DETACH, STOP_FOREGROUND_REMOVE`

    - ### Fields inherited from class android.content.Context

      `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_IMPORTANT, BIND_INCLUDE_CAPABILITIES, BIND_NOT_FOREGROUND, BIND_NOT_PERCEPTIBLE, BIND_WAIVE_PRIORITY, BIOMETRIC_SERVICE, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, CROSS_PROFILE_APPS_SERVICE, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, EUICC_SERVICE, FINGERPRINT_SERVICE, HARDWARE_PROPERTIES_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, POWER_SERVICE, PRINT_SERVICE, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, ROLE_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelecomConnectionService()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `connectionExist(com.avaya.clientservices.call.Call call)`
    `void` | `onActiveCallChanged(com.avaya.clientservices.call.CallService callService, com.avaya.clientservices.call.Call call)`
    `static void` | `onCallCreated(android.content.Context context, com.avaya.clientservices.call.CallService callService, com.avaya.clientservices.call.Call call)`
    `void` | `onCallRemoved(com.avaya.clientservices.call.CallService callService, com.avaya.clientservices.call.Call call)`
    `void` | `onCallServiceCapabilityChanged(com.avaya.clientservices.call.CallService callService)`
    `android.telecom.Connection` | `onCreateIncomingConnection(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount, android.telecom.ConnectionRequest request)`
    `void` | `onCreateIncomingConnectionFailed(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount, android.telecom.ConnectionRequest request)`
    `android.telecom.Connection` | `onCreateOutgoingConnection(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount, android.telecom.ConnectionRequest request)`
    `void` | `onCreateOutgoingConnectionFailed(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount, android.telecom.ConnectionRequest request)`
    `static void` | `onIncomingCallReceived(android.content.Context context, com.avaya.clientservices.call.Call call)`
    `void` | `onIncomingCallUndelivered(com.avaya.clientservices.call.CallService callService, com.avaya.clientservices.call.Call call)`
    `static void` | `onRemoteCallCreated(com.avaya.clientservices.call.Call call)`
    `static void` | `updateRingerStatusToSilence(com.avaya.clientservices.call.Call call)` Update per call ringer state to silence state.

    - ### Methods inherited from class android.telecom.ConnectionService

      `addConference, addExistingConnection, conferenceRemoteConnections, connectionServiceFocusReleased, createRemoteIncomingConnection, createRemoteOutgoingConnection, getAllConferences, getAllConnections, onBind, onConference, onConnectionServiceFocusGained, onConnectionServiceFocusLost, onCreateIncomingHandoverConnection, onCreateOutgoingHandoverConnection, onHandoverFailed, onRemoteConferenceAdded, onRemoteExistingConnectionAdded, onUnbind`

    - ### Methods inherited from class android.app.Service

      `getApplication, getForegroundServiceType, onConfigurationChanged, onCreate, onDestroy, onLowMemory, onRebind, onStart, onStartCommand, onTaskRemoved, onTrimMemory, startForeground, startForeground, stopForeground, stopForeground, stopSelf, stopSelf, stopSelfResult`

    - ### Methods inherited from class android.content.ContextWrapper

      `bindIsolatedService, bindService, bindService, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, clearWallpaper, createConfigurationContext, createContextForSplit, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDir, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainExecutor, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getOpPackageName, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getResources, getSharedPreferences, getSystemService, getSystemServiceName, getTheme, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setTheme, setWallpaper, setWallpaper, startActivities, startActivities, startActivity, startActivity, startForegroundService, startInstrumentation, startIntentSender, startIntentSender, startService, stopService, unbindService, unregisterReceiver, updateServiceGroup`

    - ### Methods inherited from class android.content.Context

      `getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, registerComponentCallbacks, unregisterComponentCallbacks`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelecomConnectionService

          public TelecomConnectionService()

  - ### Method Detail

    - #### onCreateIncomingConnection

          public android.telecom.Connection onCreateIncomingConnection(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount,
                                                                       android.telecom.ConnectionRequest request)

      Overrides:
        `onCreateIncomingConnection` in class `android.telecom.ConnectionService`

    - #### onCreateOutgoingConnection

          public android.telecom.Connection onCreateOutgoingConnection(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount,
                                                                       android.telecom.ConnectionRequest request)

      Overrides:
        `onCreateOutgoingConnection` in class `android.telecom.ConnectionService`

    - #### onCreateOutgoingConnectionFailed

          public void onCreateOutgoingConnectionFailed(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount,
                                                       android.telecom.ConnectionRequest request)

      Overrides:
        `onCreateOutgoingConnectionFailed` in class `android.telecom.ConnectionService`

    - #### onCreateIncomingConnectionFailed

          public void onCreateIncomingConnectionFailed(android.telecom.PhoneAccountHandle connectionManagerPhoneAccount,
                                                       android.telecom.ConnectionRequest request)

      Overrides:
        `onCreateIncomingConnectionFailed` in class `android.telecom.ConnectionService`

    - #### onIncomingCallReceived

          public static void onIncomingCallReceived(android.content.Context context,
                                                    com.avaya.clientservices.call.Call call)

    - #### onCallCreated

          public static void onCallCreated(android.content.Context context,
                                           com.avaya.clientservices.call.CallService callService,
                                           com.avaya.clientservices.call.Call call)

    - #### onRemoteCallCreated

          public static void onRemoteCallCreated(com.avaya.clientservices.call.Call call)

    - #### connectionExist

          public static boolean connectionExist(com.avaya.clientservices.call.Call call)

      Parameters:
        `call` -
      Returns:
        true if there exists connection toward Telecom Manager that matches the specified call.

    - #### updateRingerStatusToSilence

          public static void updateRingerStatusToSilence(com.avaya.clientservices.call.Call call)

      Update per call ringer state to silence state. If ringer state for all calls is in silence state then ringer mode will be set to RINGER_MODE_SILENT and restored back to original setting once a new incoming call is received or all silenced calls move out from ringing state.
      Parameters:
        `call` - - identifies the call that is currently ringing.

    - #### onIncomingCallUndelivered

          public void onIncomingCallUndelivered(com.avaya.clientservices.call.CallService callService,
                                                com.avaya.clientservices.call.Call call)

    - #### onCallRemoved

          public void onCallRemoved(com.avaya.clientservices.call.CallService callService,
                                    com.avaya.clientservices.call.Call call)

    - #### onCallServiceCapabilityChanged

          public void onCallServiceCapabilityChanged(com.avaya.clientservices.call.CallService callService)

    - #### onActiveCallChanged

          public void onActiveCallChanged(com.avaya.clientservices.call.CallService callService,
                                          com.avaya.clientservices.call.Call call)